//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM 7-1-PC
//　Arduino-IDE画面のツール→シリアルモニターを選択して、
//  SW1を押してプログラムをスタート。
//　シリアルモニター画面に、光センサー１，２の値が表示されます。
//　2から3列目は光センサー１の結果、5～6列目は光センサー２の結果です。
//　3列目と6列目は、光センサーの入力の状態をアナログの値で示しています。
//　2列目と4列目は、CHECK.LIGHT(X);関数の戻り値が表示されます。
//　アナログの値が、しきい値(THRESHOLD)より大きい、つまりセンサーへの光りの入力が弱ければ「0」になり、
//　しきい値よりも小さければ、つまりセンサーへの光りの入力が強ければ「1」になります。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 700;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////
int value1;
int value2;
int value3;
int value4;
//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  Serial.begin(9600);
  BUZZ.H();
  LED.ON();
  while(1){
    value1 = CHECK.LIGHT(1);
    value2 = analogRead(A2);
    value3 = CHECK.LIGHT(2);
    value4 = analogRead(A0);
    
    Serial.print("L1=""\t");
    Serial.print(value1);
    Serial.print("\t");
    Serial.print(value2);
    Serial.print("\t""L2=""\t");
    Serial.print(value3);
    Serial.print("\t");
    Serial.println(value4);
    delay(400);
  }
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//FWD.H();    FWD.M();    FWD.L();
//BACK.H();   BACK.M();   BACK.L();
//LFWD.H();   LFWD.M();   LFWD.L();   RFWD.H();   RFWD.M();   RFWD.L();
//LBACK.H();  LBACK.M();  LBACK.L();  RBACK.H();  RBACK.M();  RBACK.L();
//LSPIN.H();  LSPIN.M();  LSPIN.L();  RSPIN.H();  RSPIN.M();  RSPIN.L();   
//MOT.BRAKE();   MOT.OFF();
//CHECK.LIGHT1();   CHECK.LIGHT2();
//CHECK.TOUCH1();   CHECK.TOUCH2();
//CHECK.SW1();
//BUZZ.H();    BUZZ.M();    BUZZ.L();
//LED.ON();   LED.OFF();
//=================================================================
